Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`python`.`zippath``

module documentation
(source)

This module contains implementations of `IFilePath` for zip files.

See the constructor of `ZipArchive` for use.

Class | `ZipArchive` | I am a `FilePath`-like object which can wrap a zip archive as if it were a directory.
Class | `ZipPath` | I represent a file or directory contained within a zip file.
Constant | `ZIP_PATH_SEP` | Undocumented
Type Variable | `_ArchiveStr` | Undocumented
Type Variable | `_ZipSelf` | Undocumented
Type Variable | `_ZipStr` | Undocumented

ZIP_PATH_SEP: `str` = (source)

Undocumented

Value

    '/'

_ArchiveStr = (source)

Undocumented

Value

    TypeVar('_ArchiveStr', bytes, str)

_ZipSelf = (source)

Undocumented

Value

    TypeVar('_ZipSelf',
            bound='ZipPath[Any, Any]')

_ZipStr = (source)

Undocumented

Value

    TypeVar('_ZipStr', bytes, str)